package com.ssj.service.course.req;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 下午5:02:42 
 * 类说明 
 */
public class CourseSettingSave extends BaseRequest{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "teacherIds", value = "老师数组", required = true)
	private List<String> teacherIds;
	@ApiModelProperty(name = "startDate", value = "开课时间yyyy-MM-dd", required = true)
	private String startDate;
	@ApiModelProperty(name = "days", value = "间隔天数", required = true)
	private Integer days;
	@ApiModelProperty(name = "price", value = "默认价格0", required = true)
	 private BigDecimal price =new BigDecimal(0);
	
	@ApiModelProperty(name = "weeks", value = "星期几", required = true)
	private List<String> weeks;
	@ApiModelProperty(name = "libId", value = "图书馆ID", required = true)
	private String libId;
	@ApiModelProperty(name = "courseSeriesId", value = "系列课程ID", required = true)
	private String  courseSeriesId;
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getCourseSeriesId() {
		return courseSeriesId;
	}
	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}
	public List<String> getTeacherIds() {
		return teacherIds;
	}
	public void setTeacherIds(List<String> teacherIds) {
		this.teacherIds = teacherIds;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public Integer getDays() {
		return days;
	}
	public void setDays(Integer days) {
		this.days = days;
	}
	public BigDecimal getPrice() {
		return price;
	}
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	public List<String> getWeeks() {
		return weeks;
	}
	public void setWeeks(List<String> weeks) {
		this.weeks = weeks;
	}

	
	
	
	
}
